$1    PROCEDURE [dbo].[ANAGRUP_DETAYLI_MAGAZA_SATIS]
@aktif_kullanici varchar(25)='',
@magaza_no_liste StringList READONLY,
@anagrup_kod_liste   StringList READONLY,
@baslangic_tarih dateTime,
@bitis_tarih datetime
AS
-- ==========================================================================================
-- Evrak Tipleri:	--1:FİŞ 2:SATIŞ FAT 3:İADE 4:FİŞ IPTAL  5:ALIŞ FATURASI 
--			          6:TAHSİLAT MAKBUZU 7:TEDIYE MAKBUZU 8:FATURA IPTAL 9:DEPO SEVK 10:ALIŞ IADE 
--				     11:CARI BORÇ DEKONTU 12:SAYIM EVRAĞI 13:DEPO GİRİŞ 14:DEPO ÇIKIŞ
-- ==========================================================================================
SELECT
*,
T.[SatisMiktar]-T.[IadeMiktar] AS NetMiktar,
T.[SatisTutar]-T.[IadeTutar] AS NetTutar
FROM(
SELECT 
	mgz_kod as MagazaKod,
	mgz_isim as MagazaIsim,
	sto_ana_grup_kodu as AnaGrupKod, 
	san_isim AnaGrupIsim,
	SUM(CASE WHEN evr_belge_tur =3 THEN har_miktar ELSE 0 END) as IadeMiktar,
	SUM(CASE WHEN evr_belge_tur =3 THEN har_yekun ELSE 0 END) as IadeTutar,
	SUM(CASE WHEN evr_belge_tur in (1,2) THEN har_miktar ELSE 0 END) as SatisMiktar,
	SUM(CASE WHEN evr_belge_tur in (1,2) THEN har_yekun ELSE 0 END) as SatisTutar
FROM EVRAK_HAREKET_BILGI WITH(NOLOCK)
LEFT OUTER JOIN STOKLAR WITH(NOLOCK) ON sto_kod=har_stok_kodu
LEFT OUTER JOIN STOK_ANAGRUPLARI WITH(NOLOCK) ON sto_ana_grup_kodu=san_kodu
INNER JOIN EVRAK_UST_BILGI WITH(NOLOCK) ON har_evrak_rec_id=evr_RECno
LEFT OUTER JOIN MAGAZA_TANIMLARI WITH(NOLOCK) ON mgz_kod=evr_magaza_kod
WHERE 
	 (((select COUNT(Item) from @anagrup_kod_liste)>0 AND sto_ana_grup_kodu IN (select Item from @anagrup_kod_liste)) OR (select Count(Item) from @anagrup_kod_liste)<=0) AND
	 (((select COUNT(Item) from @magaza_no_liste)>0 AND evr_magaza_kod IN (select Item from @magaza_no_liste)) OR (select Count(Item) from @magaza_no_liste)<=0) AND  
	 CONVERT(DATE,@baslangic_tarih)<=CONVERT(DATE,evr_evrak_tarih) AND CONVERT(DATE,evr_evrak_tarih)<=CONVERT(DATE,@bitis_tarih) and har_Satir_tip=0
	 AND (evr_magaza_kod=dbo.fn_AktifKullaniciMagazaGetir(@aktif_kullanici) OR @aktif_kullanici=0)
GROUP BY sto_ana_grup_kodu,san_isim,mgz_kod,mgz_isim)T